Package twisted :: Package news :: Module news :: Class NNTPFactory

[frames | no frames]

## Class NNTPFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   NNTPFactory

Known Subclasses:
  `UsenetServerFactory`

A factory for NNTP server protocols.

Method Summary
| `__init__(self, backend)`
| `buildProtocol(self, connection)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.protocols.nntp.NNTPServer`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Generated by Epydoc 2.0 on Sat May 15 20:08:23 2004 | http://epydoc.sf.net